<component-section>
  <div slot="title">OW-2 Architectural Significant Requirements</div>
  <component-intendedlearningoutcomes>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt
      <strong>quality attribute requirement</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt
      <strong>quality attribute scenario</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt <strong>algemene quality attribute scenario's</strong>, het gebruik en de beperkingen
      uit.</component-intendedlearningoutcome
    >
    <component-intendedlearningoutcome codes='["SK-begrip-QAs", "SA-begrip-requirements"]'
      >legt <strong>standaarden</strong> voor het beschrijven van
      <strong>quality attributes</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SK-begrip-QAs"]'
      >legt de <strong>quality model</strong>s uit van ISO/IEC/IEEE 25010:2011</component-intendedlearningoutcome
    >
  </component-intendedlearningoutcomes>
  <component-section>
    <div slot="title">Quality Model</div>
    <figure>
      <figcaption>Het product quality model in ISO 25010</figcaption>
      <img alt="Product quality model" src="bron/material/iso_25010.png" />
    </figure>
  </component-section>
  <component-section>
    <div slot="title">Bestuderen</div>
    <p class="bron">
      <abbr title="Nuseibeh, B. (2001). Weaving Together Requirements and Architectures. Computer, 34(3), 115-117">
        <a href="bron/material/Nuseibeh_TwinPeaksModel.pdf"
          >Weaving Together Requirements and Architectures - pp. 115-117</a
        >
      </abbr>
    </p>
    <p class="bron">
      <abbr
        title="Kruchten, P. (2008). Controversy Corner: What do software architects really do?. Journal of Systems and Software, 81(12), 2413-2416">
        <a href="bron/material/Kruchten_WhatArchitectsDo.pdf">What do software architects really do - pp. 101-110</a>
      </abbr>
    </p>
    <p class="bron">
      <a href="bron/material/ISO_IEC_IEEE_25010.pdf">ISO_IEC_IEEE_25010</a>
    </p>
    <p class="bron">
      <cite data-id="6867189/KRJVJXEU" data-label="chapter" data-locator="4"> Software Architecture in Practice</cite>
    </p>
  </component-section>
  <component-section>
    <div slot="title">Oefening 1</div>
    <component-exercise>
      <ol>
        <li>Wat zijn de kernbegrippen van het Twin Peaks Model?</li>
        <li>
          Noem 3 concrete voorbeelden van architectuur besluiten die zijn beinvloed door vereisten (requirements) die op
          zich zelf ook weer veranderde vereisten tot gevolg hadden.
        </li>
        <li>Leg uit hoe deze voorbeelden zicht verhouden tot de kernbegrippen van het Twin Peaks Model</li>
      </ol>
      <p>
        <em
          >Denk hierbij bijvoorbeeld aan de Vertaal-, Smart Mobility app of nog beter de applicatie waaraan je dagelijks
          werkt!</em
        >>
      </p>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">Oefening 2</div>
    <component-exercise>
      <ol>
        <li>Wat voor vereisten (requirements) ken je al?</li>
        <li>Hoe kunnen deze worden onderverdeeld?</li>
        <li>Met welk soort vereisten heb je hoofdzakelijk te maken in OO ontwerpen?</li>
        <li>Welke soort vereisten zouden het architectuur ontwerp moeten sturen?</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">👨‍🏫 Presentatie</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/slides/SKA_OW2.pdf">Lesweek 2</a>
      </li>
    </ul>
  </component-section>
</component-section>
